package com.bonus.canteen.core.notice.print.v2.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("notice_print_template_setting")
@ApiModel(
   value = "NoticePrintTemplateSetting对象",
   description = "打印模版设置表"
)
public class NoticePrintTemplateSetting implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("设置id")
   private Long settingId;
   @ApiModelProperty("模版id")
   private Long templateId;
   @ApiModelProperty("字段id")
   private Long columnId;
   @ApiModelProperty("排序")
   private Integer sort;
   @ApiModelProperty("是否加粗，1是，2否")
   private Integer ifBold;

   public Long getSettingId() {
      return this.settingId;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public Long getColumnId() {
      return this.columnId;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIfBold() {
      return this.ifBold;
   }

   public NoticePrintTemplateSetting setSettingId(final Long settingId) {
      this.settingId = settingId;
      return this;
   }

   public NoticePrintTemplateSetting setTemplateId(final Long templateId) {
      this.templateId = templateId;
      return this;
   }

   public NoticePrintTemplateSetting setColumnId(final Long columnId) {
      this.columnId = columnId;
      return this;
   }

   public NoticePrintTemplateSetting setSort(final Integer sort) {
      this.sort = sort;
      return this;
   }

   public NoticePrintTemplateSetting setIfBold(final Integer ifBold) {
      this.ifBold = ifBold;
      return this;
   }

}
